Loading...
Searching...
No Matches
BALL::PDB::RecordMASTER Struct Reference

`#include <BALL/FORMAT/PDBdefs.h>`

## Public Member Functions

| RecordMASTER ()
void | clear ()

## Public Attributes

RecordType | record_type
RecordName | record_name
Integer | number_of_REMARK_records
Integer | zero
Integer | number_of_HET_records
Integer | number_of_HELIX_records
Integer | number_of_SHEET_records
Integer | number_of_TURN_records
Integer | number_of_SITE_records
Integer | number_of_ORIGX_SCALE_MTRIX_records
Integer | number_of_ATOM_HETATM_records
Integer | number_of_TER_records
Integer | number_of_CONECT_records
Integer | number_of_SEQRES_records

## Detailed Description

Definition at line 806 of file PDBdefs.h.

## Constructor & Destructor Documentation

## RecordMASTER()

BALL::PDB::RecordMASTER::RecordMASTER | ( |  | ) |

inline

Definition at line 823 of file PDBdefs.h.

## Member Function Documentation

## clear()

void BALL::PDB::RecordMASTER::clear | ( |  | ) |

inline

Definition at line 824 of file PDBdefs.h.

## Member Data Documentation

## number_of_ATOM_HETATM_records

Integer BALL::PDB::RecordMASTER::number_of_ATOM_HETATM_records

Definition at line 818 of file PDBdefs.h.

## number_of_CONECT_records

Integer BALL::PDB::RecordMASTER::number_of_CONECT_records

Definition at line 820 of file PDBdefs.h.

## number_of_HELIX_records

Integer BALL::PDB::RecordMASTER::number_of_HELIX_records

Definition at line 813 of file PDBdefs.h.

## number_of_HET_records

Integer BALL::PDB::RecordMASTER::number_of_HET_records

Definition at line 812 of file PDBdefs.h.

## number_of_ORIGX_SCALE_MTRIX_records

Integer BALL::PDB::RecordMASTER::number_of_ORIGX_SCALE_MTRIX_records

Definition at line 817 of file PDBdefs.h.

## number_of_REMARK_records

Integer BALL::PDB::RecordMASTER::number_of_REMARK_records

Definition at line 810 of file PDBdefs.h.

## number_of_SEQRES_records

Integer BALL::PDB::RecordMASTER::number_of_SEQRES_records

Definition at line 821 of file PDBdefs.h.

## number_of_SHEET_records

Integer BALL::PDB::RecordMASTER::number_of_SHEET_records

Definition at line 814 of file PDBdefs.h.

## number_of_SITE_records

Integer BALL::PDB::RecordMASTER::number_of_SITE_records

Definition at line 816 of file PDBdefs.h.

## number_of_TER_records

Integer BALL::PDB::RecordMASTER::number_of_TER_records

Definition at line 819 of file PDBdefs.h.

## number_of_TURN_records

Integer BALL::PDB::RecordMASTER::number_of_TURN_records

Definition at line 815 of file PDBdefs.h.

## record_name

RecordName BALL::PDB::RecordMASTER::record_name

Definition at line 809 of file PDBdefs.h.

## record_type

RecordType BALL::PDB::RecordMASTER::record_type

Definition at line 808 of file PDBdefs.h.

## zero

Integer BALL::PDB::RecordMASTER::zero

Definition at line 811 of file PDBdefs.h.